## polipo 1.0.4-1.1maemo0

=== debian/changelog ===
polipo (1.0.4-1.1maemo0) unstable; urgency=low

  * Small build fix to build in Maemo 5 scratchbox.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Wed, 13 Jan 2010 20:50:36 +0100

polipo (1.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload for RC bug fix.
  * Fix segfault when server sends Cache-Control: max-age without a value
    (closes: #547047).

 -- Stefan Fritsch <sf@debian.org>  Wed, 23 Sep 2009 21:29:43 +0200

polipo (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Create /var/cache/polipo, /var/log/polipo and /var/run/polipo
    directories by postinst script. /var/log/polipo now has proxy:adm
    owners and 2755 rights, log files are proxy:adm 640 (closes: #291822)
  * Remove /var/cache/polipo, /var/log/polipo and /var/run/polipo
    directories by postrm script, make full cleanup on purging package
  * debian/control: change Standards-Version to 3.7.3
  * debian/control: move Homepage to pseudo-header
  * init.d: make sure /var/run/polipo exists
  * init.d: remove the S runlevel from Default-Stop

 -- Denis V. Sirotkin <fechiny@gmail.com>  Fri, 11 Jan 2008 23:13:27 +0500

polipo (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Changed pattern in the debian/watch to avoid searching testing versions
    like `polipo-20071001'

 -- Denis V. Sirotkin <fechiny@gmail.com>  Mon, 08 Oct 2007 19:21:32 +0600

polipo (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #439441)

 -- Denis V. Sirotkin <fechiny@gmail.com>  Mon, 27 Aug 2007 18:25:05 +0600

polipo (1.0.1-2) unstable; urgency=low

  * Install the sample forbidden file into /etc/polipo
  * Added network if-up/down scripts similar to ppp ip-up/down
    (closes: #305852, #418715)
  * Added debian/watch file
  * debian/compat: changed debhelper compatibility to 5
  * debian/control: changed Build-Depends on debhelper (>= 5)
  * dpatch applied

 -- Denis V. Sirotkin <fechiny@gmail.com>  Sun, 29 Jul 2007 18:25:25 +0600

polipo (1.0.1-1) unstable; urgency=low

  * New upstream release
  * New maintainer (closes: #430411)

 -- Denis V. Sirotkin <fechiny@gmail.com>  Wed, 27 Jun 2007 14:37:06 +0600

polipo (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Fri, 15 Jun 2007 10:29:16 +0100

polipo (0.9.12-1) unstable; urgency=low

  * New upstream release (closes: #405962, #409998, #405283, #402490)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 12 Feb 2007 14:29:39 +0000

polipo (0.9.10-1) unstable; urgency=low

  * New upstream release (closes: #349942, #385751)
  * Add 'Index' field to 'Info' section of doc-base control file
    (closes: #372245)
  * Remove debiandoc-sgml entry from doc-base control file.  This has never
    existed, as far as I remember, and I don't know what it was doing there.
  * Added LSB-compliant init script header

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon,  4 Sep 2006 13:51:33 +0100

polipo (0.9.9-1) unstable; urgency=low

  * New upstream release (closes: #315655, #332411 CAN-2005-3163)
  * Fixed bug in logrotate script which causes an error when the pidfile
    does not exist (closes: #294442, thanks to Vineet Kumar)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Tue,  4 Oct 2005 14:35:02 +0100

polipo (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 24 Jan 2005 23:22:46 +0000

polipo (0.9.7-2) unstable; urgency=low

  * Apply lax HTTP parser patch so that Polipo continues to talk to servers
    whose HTTP is buggy (closes: #265128)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Fri, 14 Jan 2005 11:22:18 +0000

polipo (0.9.7-1) unstable; urgency=low

  * New upstream release
  * /var/cache/polipo, /var/log/polipo and /var/run/polipo now have
    permissions 750, for privacy  (closes: #283523, thanks to Hugo Haas)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 27 Dec 2004 17:58:22 +0000

polipo (0.9.6-1) unstable; urgency=low

  * New upstream release (closes #277985, #265128)
  * forbiddenFile can be a directory: fix polipo-control accordingly, closes #277929
    (thanks to VSJ)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sun, 31 Oct 2004 19:32:21 +0000

polipo (0.9.5-1) unstable; urgency=low

  * New upstream release (closes: #253150, #253156)

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Mon, 21 Jun 2004 22:04:28 +0100

polipo (0.9.4-3) unstable; urgency=low

  * Append ".patch" suffix to "debian/patches/polipo--devel--0--patch-23",
    so that it actually applies.
  * polipo-control: Quote "`nameOfPID $PID`".  Thanks to Gergely Nagy,
    closes: #251071
  * Applied polipo--devel--0--patch-25 to fix char signedness issues. 
    Thanks to Gergely Nagy, closes #250419

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sun, 30 May 2004 22:20:36 +0100

polipo (0.9.4-2) unstable; urgency=low

  * Applied polipo--devel--0--patch-23 to fix 'connection->flags &
    2' assertion bug

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sun, 16 May 2004 10:34:41 +0100

polipo (0.9.4-1) unstable; urgency=low

  * New upstream release
  * Renamed /etc/ppp/ip-up/down.d/polipo to /etc/ppp/ip-up/down.d/1polipo,
    so that polipo comes online pretty soon after PPP is brought up,
    closes: #249051
  * Put polipo.ppp.ip-up/down in ip-up/down directories, because I'm now
    using the name '1polipo' instead of 'polipo'.  A CDBS script I wrote
    (debian/cdbs/ip-updown.mk) deals with installing these files.
  * polipo.postinst: move ip-up/down.d/polipo to polipo.old,
    because we are now using the name '1polipo', but we do not want to
    delete a former conffile.  'polipo.old' will not be run by run-parts.
  * Actually set the variable $OPTION_FILE in ip-up/down.d/polipo, instead
    of stupidly leaving it dangling.

 -- Tom Huckstep <tom-debian-polipo@jaguarpaw.co.uk>  Sat, 15 May 2004 11:04:36 +0100

polipo (0.9.3-4) unstable; urgency=low


