## polipo 1.0.4-1.1maemo1

=== debian/changelog ===
polipo (1.0.4-1.1maemo1) unstable; urgency=low

  * Remove docs.
  * Use suggested Tor configuration.
  * Optify.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Thu, 14 Jan 2010 20:42:28 +0100
