=== debian/control ===
Source: polipo
Section: web
Priority: optional
Maintainer: Denis V. Sirotkin <fechiny@gmail.com>
Build-Depends: debhelper (>= 5), cdbs, texinfo, dpatch
Standards-Version: 3.7.3
Homepage: http://www.pps.jussieu.fr/~jch/software/polipo/

Package: polipo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a small, caching web proxy
 Polipo is a caching web proxy (a web cache) designed to be used by one
 person or a small group of people. It is similar in spirit to WWWOFFLE, but
 the implementation techniques are more like the ones ones used by Squid.
 .
 Polipo has some features that are unique among currently available proxies:
 .
  o Polipo will use HTTP/1.1 pipelining if it believes that the remote
  server supports it, whether the incoming requests are pipelined or
  come in simultaneously on multiple connections (this is more than the
  simple usage of persistent connections, which is done by e.g. Squid);
 .
  o Polipo will cache the initial segment of an instance if the
  download has been interrupted, and, if necessary, complete it later
  using Range requests;
 .
  o Polipo will upgrade client requests to HTTP/1.1 even if they come
  in as HTTP/1.0, and up- or downgrade server replies to the client's
  capabilities (this may involve conversion to or from the HTTP/1.1
  chunked encoding);
 .
  o Polipo has fairly complete support for IPv6 (except for scoped
  (link-local) addresses).
 .
 Optionally, Polipo can use a technique known as Poor Man's Multiplexing
 to reduce latency.
