=== debian/changelog ===
polipo (1.0.4.1-6) unstable; urgency=low

  * copyright: bump my copyright to 2014
  * config: set (overridable) default for logFile. Closes: #735624

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 18 Jan 2014 15:35:28 +0800

polipo (1.0.4.1-5) unstable; urgency=low

  * stop hardcoding some variables in polipo-control script. Closes: #510284
  * backport upstream commit 136f10f7 (syslogging on amd64). Closes: #729926
  * add explicit shell call to daily cronjob script. Closes: #734833
  * control: update to standard 3.9.5. No further changes.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 15 Jan 2014 11:16:50 +0800

polipo (1.0.4.1-4) unstable; urgency=low

  * provide sample configs as examples instead of installing them to /etc
  * Log to syslog by default. Closes: #292992, LP: #1055390.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 26 Oct 2013 12:35:24 +0800

polipo (1.0.4.1-3) unstable; urgency=low

  [ Frank Blendinger ]
  * exit cron.daily script with 0 status. Closes: #549981

  [ Rolf Leggewie ]
  * patches: backport Jan Braun's IPv6 DNS patch. Closes: #600678

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 13 May 2013 13:19:51 +0800

polipo (1.0.4.1-2) experimental; urgency=low

  [ Jari Aalto ]
  * Update to DebSrc3 quilt packaging format. Closes: #664380
  * Remove deprecated dpatch, make sure patches 10 and 30 apply cleanly
  * Update to Standards-Version 3.9.4 and debhelper 9
  * Clean up whitespaces from debian/*
  * Update debian/copyright to Format 1.0
  * Make sure the init.d script is LSB-compatible

  [ Nelson A. de Oliveira ]
  * fix permissions set in logrotate control file. Closes: #676855

  [ Bart Martens ]
  * update watch file to new location

  [ Rolf Leggewie ]
  * control:
    - Take over maintenance of polipo and acknowledge previous NMUs
    - add Donovan Baarda as co-maintainer, welcome aboard
    - small change in short description to make lintian happy
    - add VCS packaging information
  * patches:
    - some more work to get DebSrc3/quilt working again after Jari's
      patch has already slightly bitrotted
    - update the Makefile patch so that files end up in the right places
  * links: link in www-docs to /usr/share/doc/polipo.  Closes: #539360
  * README.Debian: drop reference to long-obsolete web page
  * move build system over to dh7 from cdbs

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 21 Mar 2013 11:53:17 +0800

polipo (1.0.4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Enable hardened build flags, patch by Steven Chamberlain (Closes: #666451)
  * Fix CVE-2011-3596 (Closes: #644289)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 01 Jun 2012 16:46:13 +0200

polipo (1.0.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Delete obsolete /etc/network/if-{up,down}.d and /etc/ppp/ip-{up,down}.d
    scripts (closes: #578684).
  * Add patch cherry-picked from upstream git to stop ignoring CNAMEs after a
    DNS timeout (closes: #540912).
  * Add dependency on $remote_fs to init.d script (it needs /usr).  Pointed
    out by lintian.
  * Change doc-base section from web to Network/Web Browsing.  Pointed out by
    lintian.

 -- Julien Cristau <jcristau@debian.org>  Sat, 22 May 2010 14:09:29 +0200

polipo (1.0.4.1-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Update Standards-Version to 3.8.4.
  * Remove duplicate word in long description (closes: #574613)
  * Remove 30_log-permission patch. (closes: #481601)
  * Remove 40_segfault_max_age.dpatch. (closes: #547047)
  * Remove 50_integer_overflow.dpatch. Fixed upstream.
  * Remove 60_security_fixes.dpatch. Fixed upstream.
  * Put /var/cache/polipo and /var/log/polipo in the .deb and
    stop managing them in postinst and postrm.
  * Remove offline and online options from polipo-control.

 -- Erinn Clark <erinn@torproject.org>  Wed, 31 Mar 2010 19:26:20 -0700

polipo (1.0.4-3) unstable; urgency=high

  * QA upload.
  * Backport various security related bug fixes from upstream git.

 -- Stefan Fritsch <sf@debian.org>  Fri, 29 Jan 2010 19:02:07 +0100

polipo (1.0.4-2) unstable; urgency=high

  [ Andreas Kirschbaum ]
  * Apply upstream commit to fix DoS via overly large "Content-Length"
    header; fixes CVE-2009-3305 (closes: #560779)

  [ Julien Cristau ]
  * QA upload.
  * Set Maintainer to Debian QA Group (see #566150).
  * High urgency for RC bugfix.

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Jan 2010 15:01:52 +0100
