=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: polipo
 Section: web
 Priority: optional
-Maintainer: Denis V. Sirotkin <fechiny@gmail.com>
-Build-Depends: debhelper (>= 5), cdbs, texinfo, dpatch
-Standards-Version: 3.7.3
+Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
+Uploaders: Donovan Baarda <abo@minkirri.apana.org.au>
+Build-Depends: debhelper (>= 9), texinfo
+Standards-Version: 3.9.5
 Homepage: http://www.pps.jussieu.fr/~jch/software/polipo/
+Vcs-git: git://git.debian.org/git/collab-maint/polipo.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/polipo.git
 
 Package: polipo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: a small, caching web proxy
+Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Description: lightweight, caching web proxy
  Polipo is a caching web proxy (a web cache) designed to be used by one
  person or a small group of people. It is similar in spirit to WWWOFFLE, but
- the implementation techniques are more like the ones ones used by Squid.
+ the implementation techniques are more like the ones used by Squid.
  .
  Polipo has some features that are unique among currently available proxies:
  .
