=== debian/watch ===
version=3
opts=uversionmangle=s/^200\d*$/0.0.$1/ \
http://freehaven.net/~chrisd/polipo/polipo-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
