## polipo 1.1.1

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,7 @@
 # To compile with GCC:
 
 # CC = gcc
-# CDEBUGFLAGS = -Os -g -Wall -std=gnu99
-CDEBUGFLAGS = -Os -g -Wall
-# CDEBUGFLAGS = -Os -Wall
-# CDEBUGFLAGS = -g -Wall
+CDEBUGFLAGS = -Os -g -Wall -fno-strict-aliasing
 
 # To compile on a pure POSIX system:
 
@@ -39,7 +36,7 @@
 # On mingw, you need
 
 # EXE=.exe
-# LDLIBS = -lwsock32
+# LDLIBS = -lws2_32
 
 FILE_DEFINES = -DLOCAL_ROOT=\"$(LOCAL_ROOT)/\" \
                -DDISK_CACHE_ROOT=\"$(DISK_CACHE_ROOT)/\"
@@ -128,7 +125,7 @@
 	texi2dvi polipo.texi
 
 polipo.man.html: polipo.man
-	groff -man -Thtml polipo.man > polipo.man.html
+	rman -f html polipo.man > polipo.man.html
 
 TAGS: $(SRCS)
 	etags $(SRCS)
