=== debian/changelog ===
polipo (1.1.1-8) unstable; urgency=medium

  * control:
    - update Debian Standard to 4.1.4
    - replace priority extra by priority optional
    - update VCS URIs to point to github

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 16 Apr 2018 19:48:25 +0800

polipo (1.1.1-7) unstable; urgency=medium

  * add debug package. Closes: #551680

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 13 Aug 2015 18:49:59 +0800

polipo (1.1.1-6) unstable; urgency=medium

  * stop special-casing a long-gone pkg version in the maintainer scripts
  * copyright: update my copyright to 2015

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 13 Aug 2015 16:06:50 +0800

polipo (1.1.1-5) unstable; urgency=medium

  * make the weekly cron call more robust
    handle spaces in the polipo config file properly

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Thu, 23 Oct 2014 12:49:28 +0900

polipo (1.1.1-4) unstable; urgency=medium

  * reintroduce call to su in logrotation dropped in 1.1.1-3
  * add support to trim the cache. Closes: #293742
    Added an entry to README.Debian that will explain the very simple
    things the administrator needs to do to enable the purging.
    The desired size of the cache is user-configurable.
  * control:
    - add local caching DNS server to Recommends
    - bump to Standard 3.9.6. No further changes.
  * flatten debian/helper-scripts directory structure

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Wed, 22 Oct 2014 22:08:58 +0900

polipo (1.1.1-3) unstable; urgency=low

  * drop su-call in logrotate snippet (unb0rk logrotation)

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 12 Oct 2014 14:33:03 +0800

polipo (1.1.1-2) unstable; urgency=low

  * patches: observe Debian default location for logFile even in the
    absence of an explicitly set value
  * rules: enable ALL hardening compile options. Closes: #751013

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 15 Sep 2014 12:48:59 +0800

polipo (1.1.1-1) unstable; urgency=medium

  * release newest upstream version 1.1.1.  Closes: #746750
    - use regerror to improve error reporting. Closes: #585766
    - correct return value from processObject in error case. LP: #988780
    - resume interrupted file download properly. Closes: #517479
    - vastly improve stability. LP: #1055418,  LP: #988780, LP: #1168593
      Closes: #684742, Closes: #307801, Closes: #432561, Closes: #646709
    - handle non-existent host properly. Closes: #655851
    - Don't revalidate objects >= CHUNK_SIZE that aren't in the disk cache.
      Closes: #610199
  * drop patches included upstream and rebase the rest
  * update watch file

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Fri, 06 Jun 2014 15:29:19 +0200
