=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Rolf Leggewie <foss@rolf.leggewie.biz>
 Uploaders: Donovan Baarda <abo@minkirri.apana.org.au>
 Build-Depends: debhelper (>= 9), texinfo
-Standards-Version: 3.9.5
+Standards-Version: 4.1.4
 Homepage: http://www.pps.jussieu.fr/~jch/software/polipo/
-Vcs-git: git://git.debian.org/git/collab-maint/polipo.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/polipo.git
+Vcs-Browser: https://github.com/leggewie-DM/polipo
+Vcs-Git: https://github.com/leggewie-DM/polipo.git
 
 Package: polipo
 Architecture: any
 Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
+Recommends: dnsmasq | pdnsd | unbound, python
 Description: lightweight, caching web proxy
  Polipo is a caching web proxy (a web cache) designed to be used by one
  person or a small group of people. It is similar in spirit to WWWOFFLE, but
@@ -38,3 +39,15 @@
  .
  Optionally, Polipo can use a technique known as Poor Man's Multiplexing
  to reduce latency.
+
+Package: polipo-dbg
+Section: debug
+Priority: optional
+Architecture: any
+Depends: polipo (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: debug package for polipo
+ Polipo is a caching web proxy (a web cache) designed to be used by one
+ person or a small group of people. It is similar in spirit to WWWOFFLE, but
+ the implementation techniques are more like the ones used by Squid.
+ .
+ This package contains the debugging symbols for polipo.
